Edit

Materialized Lake Views - List Mlv Execution Definitions

Returns a list of materialized lake views execution definitions for a lakehouse.
This API supports pagination.

Permissions

The caller must have viewer or higher workspace role.

Required Delegated Scopes

Lakehouse.Read.All or Lakehouse.ReadWrite.All or Item.Read.All or Item.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/lakehouses/{lakehouseId}/mlvexecutiondefinitions
GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/lakehouses/{lakehouseId}/mlvexecutiondefinitions?continuationToken={continuationToken}

URI Parameters

Name In Required Type Description
lakehouseId
path True

string (uuid)

The lakehouse ID.

workspaceId
path True

string (uuid)

The workspace ID.

continuationToken
query

string

A token for retrieving the next page of results.

Responses

Name Type Description
200 OK

MaterializedLakeViewExecutionDefinitions

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • InsufficientPrivileges - The caller does not have sufficient permissions

  • ItemNotFound - Requested item ID not found

Examples

List materialized lake views execution definitions example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/a0a0a0a0-bbbb-cccc-dddd-e1e1e1e1e1e1/lakehouses/dddddddd-9999-0000-1111-eeeeeeeeeeee/mlvexecutiondefinitions

Sample response

{
  "value": [
    {
      "id": "bbbbbbbb-1111-2222-3333-cccccccccccc",
      "displayName": "Gold Chain – Sales",
      "description": "Weekly report on Gold chain",
      "settings": {
        "environment": {
          "referenceType": "ById",
          "itemId": "aaaaaaaa-1111-2222-3333-bbbbbbbbbbbb",
          "workspaceId": "11111111-2222-3333-4444-555555555555"
        },
        "refreshMode": "Optimal"
      },
      "currentLakehouseExecutionContext": {
        "mode": "Selected",
        "selectedMlvs": [
          "schema.mlvName1"
        ]
      },
      "extendedLineageExecutionContext": {
        "mode": "Selected",
        "selectedLakehouses": [
          {
            "referenceType": "ById",
            "itemId": "cccccccc-4444-5555-6666-dddddddddddd",
            "workspaceId": "11111111-2222-3333-4444-555555555555"
          }
        ]
      }
    },
    {
      "id": "dddddddd-5555-6666-7777-eeeeeeeeeeee",
      "displayName": "Silver Chain – Inventory",
      "currentLakehouseExecutionContext": {
        "mode": "All"
      }
    }
  ]
}

Definitions

Name Description
CurrentLakehouseExecutionContextAll

Current lakehouse execution context where all materialized lake views are included.

CurrentLakehouseExecutionContextSelected

Current lakehouse execution context where only selected materialized lake views are included.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

ExecutionContextMode

The execution context mode. Additional ExecutionContextMode types may be added over time.

ExtendedLineageExecutionContextResponseAll

Extended lineage execution context where all lakehouses are included (response).

ExtendedLineageExecutionContextResponseSelected

Extended lineage execution context where only selected lakehouses are included (response).

ItemReferenceById

An item reference by ID object.

ItemReferenceByVariable

An item reference by variable.

ItemReferenceType

The item reference type. Additional ItemReferenceType types may be added over time.

MaterializedLakeViewExecutionDefinition

A materialized lake views execution definition object.

MaterializedLakeViewExecutionDefinitions

A list of materialized lake view execution definitions.

MaterializedLakeViewExecutionDefinitionSettingsResponse

The materialized lake views execution definition settings (response).

RefreshMode

The refresh mode for the execution definition. Additional RefreshMode types may be added over time.

CurrentLakehouseExecutionContextAll

Current lakehouse execution context where all materialized lake views are included.

Name Type Description
mode string:

All

The execution context mode for the current lakehouse.

CurrentLakehouseExecutionContextSelected

Current lakehouse execution context where only selected materialized lake views are included.

Name Type Description
mode string:

Selected

The execution context mode for the current lakehouse.

selectedMlvs

string[]

The list of fully qualified names of materialized lake views from the current lakehouse to be refreshed.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

ExecutionContextMode

The execution context mode. Additional ExecutionContextMode types may be added over time.

Value Description
All

All items are included in the execution boundary.

Selected

Only selected items are included in the execution boundary.

ExtendedLineageExecutionContextResponseAll

Extended lineage execution context where all lakehouses are included (response).

Name Type Description
mode string:

All

The execution context mode for extended lineage.

ExtendedLineageExecutionContextResponseSelected

Extended lineage execution context where only selected lakehouses are included (response).

Name Type Description
mode string:

Selected

The execution context mode for extended lineage.

selectedLakehouses ItemReference[]:

The list of lakehouses to be included in refresh.

ItemReferenceById

An item reference by ID object.

Name Type Description
itemId

string (uuid)

The ID of the item.

referenceType string:

ById

The item reference type.

workspaceId

string (uuid)

The workspace ID of the item.

ItemReferenceByVariable

An item reference by variable.

Name Type Description
referenceType string:

ByVariable

The item reference type.

variableReference

string

A variable reference string that specifies the Variable Library and the variable name inside it. Format: $(/**/_VarLibrary_/_VarName_) for a Variable Library named VarLibrary and a variable named VarName.

ItemReferenceType

The item reference type. Additional ItemReferenceType types may be added over time.

Value Description
ById

The item is referenced by its ID.

ByVariable

The item is referenced by a variable.

MaterializedLakeViewExecutionDefinition

A materialized lake views execution definition object.

Name Type Description
currentLakehouseExecutionContext CurrentLakehouseExecutionContext:

The current lakehouse execution context for the materialized lake views execution definition.

description

string

A short description of the materialized lake views execution definition.

displayName

string

The materialized lake views execution definition display name.

extendedLineageExecutionContext ExtendedLineageExecutionContextResponse:

The extended lineage execution context for the materialized lake views execution definition.

id

string (uuid)

The materialized lake views execution definition ID.

settings

MaterializedLakeViewExecutionDefinitionSettingsResponse

The materialized lake views execution definition settings.

MaterializedLakeViewExecutionDefinitions

A list of materialized lake view execution definitions.

Name Type Description
continuationToken

string

The token for the next result set batch. If there are no more records, it's removed from the response.

continuationUri

string

The URI of the next result set batch. If there are no more records, it's removed from the response.

value

MaterializedLakeViewExecutionDefinition[]

A list of materialized lake view execution definitions.

MaterializedLakeViewExecutionDefinitionSettingsResponse

The materialized lake views execution definition settings (response).

Name Type Description
environment ItemReference:

The Spark environment reference to be used with the materialized lake views execution definition.

refreshMode

RefreshMode

The refresh mode setting to be used with the materialized lake views execution definition. Defaults to Optimal if not specified.

RefreshMode

The refresh mode for the execution definition. Additional RefreshMode types may be added over time.

Value Description
Optimal

This mode chooses the best strategy to maximize performance from among incremental, full, or no recompute while refreshing each materialized lake view.

Full

This mode enforces the full recompute for materialized lake views being refreshed.